Hooks
Get a hook
A single hook definition by id, scoped to the caller’s active organization.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/hooks/string"{ "id": "string", "orgId": "string", "agentId": "string", "kind": "webhook", "name": "string", "sessionMode": "perDelivery", "enabled": true, "url": "string", "hmacConfigured": true, "repoId": "string", "repoFullName": "string", "installationId": "string", "installationAccount": "string", "family": "string", "events": [ "string" ], "commentFamilies": [ "issues" ], "labelFilter": [ "string" ], "mentionOnly": true, "configRevision": "string", "reviewPolicy": "off", "reportingMode": "off", "gateMode": "informational", "targetPlatform": "slack", "targetChannel": "string", "targetIntegrationId": "string", "lastFiredAt": "string", "createdBy": "string", "createdAt": "string", "lastModifiedBy": "string", "lastModifiedAt": "string"}